Articles of anaconda

¿Silenciar la salida de depuración IR de LLVM cuando se usa Numba?

Estoy deseando usar Numba en una de nuestras bibliotecas internas de clientes, sin embargo, hay un volcado de depuración del código IR de LLVM cada vez que mi código JIT es algo. ¿Hay alguna configuración en Numba o en LLVM que pueda cambiar para silenciar esto: http://sofes.miximages.com/python/Vkankxe.png ? Gracias.

Python spyder conda instala fallas

Soy nuevo en Python, ahora estoy usando Anaconda Spyder como mi distribución principal de Python. Estoy aprendiendo a usar conda para instalar / actualizar paquetes. Cuando leí libros relevantes y realicé búsquedas en línea, parecía que todo lo que tenía que hacer era escribir “conda install” o escribir “conda update”. Cuando escribí en mi consola […]

Si tengo Pandas instalado correctamente, ¿por qué mi statement de importación no lo reconoce?

Estoy trabajando en un proyecto para jugar con un archivo csv, sin embargo, no puedo hacer que los pandas funcionen. Todo lo que he investigado hasta ahora me acaba de decir que me asegure de que los pandas estén instalados. Usando pip he logrado instalar pandas muy bien. Cuando bash ejecutar mi progtwig de Python […]

Problema al crear una conda env con un número de trabajo: `ImportError: no se puede importar el nombre scalarmath`

Quiero crear una conda env (por ejemplo, B) que tenga un módulo numpy en funcionamiento. Tengo una instalación de miniconda que funciona y otra conda env (por ejemplo, A) que tiene un número de trabajo, pero no importa qué método intente, no puedo obtener otro env con un número de trabajo El error que obtengo […]

Jupyter no puede encontrar el modulo de keras.

He instalado Tensorflow y Keras by Anaconda (en Windows 10), he creado un entorno en el que estoy usando Python 3.5.2 (el original en Anaconda era Python 3.6). Cuando bash ejecutar import keras as ks , obtengo ModuleNotFoundError: No module named ‘keras’ . He intentado resolver este problema mediante sys.path.append(C:\\Users\\ … \\Anaconda3\\python.exe) Tanto con el […]

No se puede renderizar en el archivo en pygal más de una vez en Spyder

Version corta Cuando estoy en Spyder, si ejecuto un script más de una vez que guarda un mapa con el render_to_file de render_to_file , obtengo un TypeError . Funciona bien la primera vez. Versión detallada Estoy intentando guardar un mapa usando pygal (2.4.0) en Python 3.6 de la siguiente manera: from pygal.maps.world import World worldmap […]

No hay módulo llamado flujo tensorial – iPython notebook

Entiendo que esta puede ser una pregunta antigua, pero aún no puedo encontrar una solución desde Q $ A. Aquí está el problema: Estoy siguiendo Udacity “Machine Learning” y sus asignaciones, y necesito usar iPythonNotebook & tensorflow . Detalles: https://github.com/Omarito2412/udacity-deeplearning Assignment2 requiere tensorflow. Por cierto, ya instalé Anaconda , ya hice tensorflow trabajando en Pycharm […]

La instalación de Caffe en Ubuntu para anaconda con Python 2.7 falla con libpng16.so.16 no encontrada

Así que instalé anaconda con python 2.7 e instalé todos los requisitos para la biblioteca Caffe. Me aseguré de que opencv es instalado por import cv2 Y comprobando que puedo ejecutar un par de ejemplos de documentos. Ahora descargo caffe, configuro makefile.config correctamente y ejecuto make all. Me sale un error muy extraño: make CXX/LD […]

la importación de paquetes no funciona – probablemente la versión de conflicto

Después de un largo período en el que las cosas salieron bien (me refiero a que podría instalar paquetes y luego usarlos en un cuaderno jupyter con la statement de importación), recientemente tuve varios problemas. Creo que esto sucedió cuando actualicé mi instalación de anaconda desde Continuum Analytics (aunque no estoy seguro) Obtengo informes de […]

Error rpy2 después de actualizar a OSX El Capitán

Tengo un error que ocurre de una manera muy similar a esta pregunta de SO. La solución de simplemente instalar rpy2 usando conda no funciona. La diferencia clave en mi caso es que rpy2 funcionó correctamente antes de actualizar a Mac OSX 10.11 (El Capitán). Mi versión de Python es Python 2.7.10 , conda: 3.18.4 […]